﻿using System.Drawing;

// Reading Adobe Swatch Exchange (ase) files using C#
// http://www.cyotek.com/blog/reading-adobe-swatch-exchange-ase-files-using-csharp

// Writing Adobe Swatch Exchange (ase) files using C#
// http://www.cyotek.com/blog/writing-adobe-swatch-exchange-ase-files-using-csharp

namespace AdobeSwatchExchangeLoader
{
  internal class ColorEntry : Block
  {
    #region Constructors

    public ColorEntry()
    { }

    public ColorEntry(Color color)
      : this(color.Name, color)
    { }

    public ColorEntry(string name, Color color)
      : this(name, color.R, color.G, color.B)
    { }

    public ColorEntry(byte r, byte g, byte b)
      : this(null, r, g, b)
    { }

    public ColorEntry(string name, byte r, byte g, byte b)
      : this()
    {
      this.Name = name;
      this.R = r;
      this.G = g;
      this.B = b;
    }

    #endregion

    #region Properties

    public byte B { get; set; }

    public byte G { get; set; }

    public byte R { get; set; }

    public ColorType Type { get; set; }

    #endregion

    #region Methods

    public Color ToColor()
    {
      return Color.FromArgb(this.R, this.G, this.B);
    }

    #endregion
  }
}
